org.apache.olingo.client.api.data

## Interface ServiceDocument

-     public interface ServiceDocument

  REST resource for an `ODataServiceDocument`.
  See Also:
    `ClientServiceDocument`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `URI` | `getBaseURI()` Gets base URI.
    `ServiceDocumentItem` | `getEntitySetByName(String name)` Gets top level entity set with given name.
    `List<ServiceDocumentItem>` | `getEntitySets()` Gets top level entity sets.
    `ServiceDocumentItem` | `getFunctionImportByName(String name)` Gets top level function import set with given name.
    `List<ServiceDocumentItem>` | `getFunctionImports()` Gets top level function imports.
    `List<ServiceDocumentItem>` | `getRelatedServiceDocuments()` Gets related service documents.
    `ServiceDocumentItem` | `getSingletonByName(String name)` Gets top level singleton with given name.
    `List<ServiceDocumentItem>` | `getSingletons()` Gets top level singletons.
    `String` | `getTitle()`

- - ### Method Detail

    - #### getTitle

          String getTitle()

    - #### getBaseURI

          URI getBaseURI()

      Gets base URI.
      Returns:
        base URI.

    - #### getEntitySets

          List<ServiceDocumentItem> getEntitySets()

      Gets top level entity sets.
      Returns:
        top level entity sets.

    - #### getEntitySetByName

          ServiceDocumentItem getEntitySetByName(String name)

      Gets top level entity set with given name.
      Parameters:
        `name` - entity set name
      Returns:
        entity set with given name if found, otherwise null

    - #### getFunctionImports

          List<ServiceDocumentItem> getFunctionImports()

      Gets top level function imports.
      Returns:
        top level function imports.

    - #### getFunctionImportByName

          ServiceDocumentItem getFunctionImportByName(String name)

      Gets top level function import set with given name.
      Parameters:
        `name` - function import name
      Returns:
        function import with given name if found, otherwise null

    - #### getSingletons

          List<ServiceDocumentItem> getSingletons()

      Gets top level singletons.
      Returns:
        top level singletons.

    - #### getSingletonByName

          ServiceDocumentItem getSingletonByName(String name)

      Gets top level singleton with given name.
      Parameters:
        `name` - singleton name
      Returns:
        singleton with given name if found, otherwise null

    - #### getRelatedServiceDocuments

          List<ServiceDocumentItem> getRelatedServiceDocuments()

      Gets related service documents.
      Returns:
        related service documents.

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.